Subject: bug#25554: date to support iso-8601 week-format (patch included)

From: Paul Eggert <[email-masked]>
Date: Fri, 27 Jan 2017 14:22:16 -0800

I dunno, there are several ISO 8601 formats that 'date -I' doesn't have a 
special case for now; why add these particular shorthands? If we go down this 
route, shouldn't we also add shorthands for %Y%j, %GW%V, %G-W%V-%u, etc., etc.? 
Where will it stop?

Instead, perhaps we should just suggest to people that they use ordinary date 
formats, as standardized by POSIX. These should be more portable anyway. -I is 
meant as a convenience for interactive use, and I doubt whether people would 
want to use "date -Iweek" interactively much.